Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.debug
Interface DebugInterface

All Known Implementing Classes:
  AbstractDebug, DebugMultiplexer

public interface DebugInterface

DebugInterface.java Created: Wed Mar 1 22:15:41 2000

Version:
  $Id: DebugInterface.java,v 1.3 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Method Summary
`void` | `both(Class cla, Object message, Throwable th)`
`void` | `both(Class cla, String message, Throwable th)`
`void` | `both(Object obj, Object message, Throwable th)`
`void` | `both(Object obj, String message, Throwable th)`
`void` | `message(Class cla, Object message)`
`void` | `message(Class cla, String message)`
`void` | `message(Object obj, Object message)`
`void` | `message(Object obj, String message)`
`void` | `throwable(Class cla, Throwable th)`
`void` | `throwable(Object obj, Throwable th)`

Method Detail

### message

    public void message(Object obj,
                        String message)

### message

    public void message(Object obj,
                        Object message)

### message

    public void message(Class cla,
                        String message)

### message

    public void message(Class cla,
                        Object message)

### throwable

    public void throwable(Object obj,
                          Throwable th)

### throwable

    public void throwable(Class cla,
                          Throwable th)

### both

    public void both(Object obj,
                     String message,
                     Throwable th)

### both

    public void both(Class cla,
                     String message,
                     Throwable th)

### both

    public void both(Object obj,
                     Object message,
                     Throwable th)

### both

    public void both(Class cla,
                     Object message,
                     Throwable th)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD